Bug 89987 - Merge submenus with parents if they have < n (configurable?) items
Merge submenus with parents if they have < n (configurable?) items
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: desktop-file-utils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-30 16:54 EDT by Toralf
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 12:26:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toralf 2003-04-30 16:54:11 EDT
Description of problem:
Applications menu layout is often made unecessarily complex/confusing by the
existence of "More" submenus that contain only one or two items.

Suggestion: Automatically merge these submenus with their parents if they have
less than a certain number of items. The exact limit should perhaps be
configurable and have appropriate values assigned in "redhat-menus"

Version-Release number of selected component (if applicable):
2.2.0.1-9
Comment 2 Toralf 2003-05-02 10:40:40 EDT
Certainly related to the concept of "menu inlining". We might perhaps have a 
"inline this submenu if ..." setting that would conditionallu include the
submenu entries in the parent. I'm not sure if there's any point in displaying
the submenu's name in this case, though. Perhaps there could also be a flag
"display title when inlined".

Conditionals should mainly be based on the number of items in the submenu, but
could perhaps also consider the parent's size, since it might be acceptable to
"suck up" somewhat larger submenus into parents with few entries. Also, there
may be other relevant tests, like checking the "this-user-wants-large-menus" flag.
Comment 3 Leonard den Ottolander 2004-02-26 07:56:45 EST
Looks like an ideal candidate to be closed UPSTREAM.
Comment 4 Mark McLoughlin 2004-02-27 10:48:07 EST
Problem here is its not clear where upstream is. Lets move this to
desktop-file-utils as this is where the new menu spec impl is and
that's the only place this is likely to get implemented in.
Comment 5 Ray Strode [halfline] 2005-05-12 11:50:06 EDT
Hi,
I'm going through bugs assigned to me and attempting to clean some of the older,
fixed ones up.

This bug hasn't changed in over a year old now.  Are you still seeing the problem? 

(This a batch message is being sent to all my bugs that haven't changed in a year)
Comment 6 Toralf 2005-05-28 15:51:22 EDT
Seems like nothing has changed here. For instance, on my FC3 setup (including
recent updates), I get a submenu "Server Settings" containing only in item
("Server") under "System Settings".
Comment 7 Bill Nottingham 2006-08-05 01:31:23 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 Toralf 2006-08-14 05:04:49 EDT
Not sure what to do with this. There appear to be fewer submenus in recent
releases, but this may be a result of updates to the menu configuration as
opposed to introduction of a smarter setup as discussed here. I think I'll just
move this to FC5 without testing a lot more...
Comment 9 Ray Strode [halfline] 2006-11-07 12:26:32 EST
Yea this got fixed :-)

Note You need to log in before you can comment on or make changes to this bug.